@import 'app';

bud-error {
  pointer-events: none;
}

.components-popover.block-editor-block-list__block-popover
  .block-editor-block-contextual-toolbar {
  @apply mb-0;
}

.editor-styles-wrapper {
  @apply box-border;
  padding-left: 1rem !important;
  padding-right: 1rem !important;

  .editor-post-title {
    @apply mb-14 p-4 font-bold border border-black w-full;
  }

  .wp-block-paragraph {
    @apply sr-only;
  }

  .components-dropdown.block-editor-inserter {
    @apply mb-8;
  }

  .block-editor-block-list__layout {
    .wp-block:not(.block-list-appender) {
      @apply mt-16 mb-8 border-2 border-black min-h-[30px];

      &::before {
        content: attr(data-title);

        @apply absolute bottom-full -right-[2px] text-white px-4 py-2 font-bold bg-black;
      }

      .acf-block-body {
        @apply max-w-full overflow-hidden;
      }
    }
  }
}

.block-editor-block-list__insertion-point-indicator {
  background: theme('colors.black') !important;
}

.block-editor-block-list__insertion-point-inserter
  .block-editor-inserter__toggle.components-button.has-icon {
  background: theme('colors.black') !important;
}
